[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.OnReadStringProperty

Handler for translating strings when read from the stream.

## Declaration

Source position: classesh.inc line 1438

`public property TReader.OnReadStringProperty : TReadWriteStringPropertyEvent read FOnReadStringProperty write FOnReadStringProperty;`

## Description

OnReadStringProperty is called whenever a string property is read from the stream. It can be used e.g. by a translation mechanism to translate the strings on the fly, when a form is loaded. See TReadWriteStringPropertyEvent for a description of the various parameters.

## See also

TReader.OnPropertyNotFound |  | Handler for treating missing properties.
TReader.OnSetMethodProperty |  | Handler for setting method properties.
TReadWriteStringPropertyEvent |  | Callback for the TReader.OnReadStringProperty event handler